diff -ru /Applications/TextMate.app/Contents/SharedSupport/Bundles/Blogging.tmbundle/Support/lib/blogging.rb ./Support/lib/blogging.rb
--- /Applications/TextMate.app/Contents/SharedSupport/Bundles/Blogging.tmbundle/Support/lib/blogging.rb	2008-11-28 12:56:35.000000000 +1100
+++ ./Support/lib/blogging.rb	2008-11-28 14:17:46.000000000 +1100
@@ -215,6 +215,14 @@
             @post['categories'].push($2)
           when 'status'
             @publish = false if $2 =~ /draft/i
+          when 'custom'
+            matches = $2.scan(/^([^\s]+)\s*(?:\(([0-9]+)\)\s*)?=\s*(.*)/)
+            if !matches.empty?
+              @post['custom_fields'] = [] unless @post['custom_fields']
+              val = {"key" => matches[0][0], "value" => matches[0][2]}
+              val["id"] = matches[0][1] if matches[0][1]
+              @post['custom_fields'].push(val)
+            end
           end
           @headers[key] = $2
           next
@@ -453,6 +461,11 @@
         doc << "Category: #{cat}\n"
       end
     end
+    if self.post['custom_fields']
+      self.post['custom_fields'].each do | entry |
+        doc << "Custom: #{entry['key']} (#{entry['id']}) = #{entry['value']}\n" unless entry['key'][0,1] == '_'
+      end
+    end
     doc << "\n"
     doc << self.post['description'].to_s.strip + "\n"
     unless self.post['mt_text_more'].nil?
Binary files /Applications/TextMate.app/Contents/SharedSupport/Bundles/Blogging.tmbundle/Syntaxes/Blog (HTML).plist and ./Syntaxes/Blog (HTML).plist differ
Binary files /Applications/TextMate.app/Contents/SharedSupport/Bundles/Blogging.tmbundle/Syntaxes/Blog (Markdown).plist and ./Syntaxes/Blog (Markdown).plist differ
Binary files /Applications/TextMate.app/Contents/SharedSupport/Bundles/Blogging.tmbundle/Syntaxes/Blog (Text).plist and ./Syntaxes/Blog (Text).plist differ
Binary files /Applications/TextMate.app/Contents/SharedSupport/Bundles/Blogging.tmbundle/Syntaxes/Blog (Textile).plist and ./Syntaxes/Blog (Textile).plist differ
